package cn.newfeifan.mall.module.promotion.controller.admin.diy.vo.template;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;

@Schema(description = "管理后台 - 装修模板创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class DiyTemplateCreateReqVO extends DiyTemplateBaseVO {

    @Schema(description = "店铺ID",  example = "123")
    private Long shopId;

    @Schema(description = "商户ID", example = "12")
    private Long merchantId;

}
