package cn.newfeifan.mall.module.pay.service.fuyouorder;


import cn.newfeifan.mall.framework.pay.core.client.PayClient;
import cn.newfeifan.mall.module.pay.api.refund.dto.PayRefundCreateReqDTO;
import cn.newfeifan.mall.module.pay.dal.dataobject.channel.PayChannelDO;
import cn.newfeifan.mall.module.pay.dal.dataobject.order.PayOrderDO;
import cn.newfeifan.mall.module.pay.dal.dataobject.order.PayOrderExtensionDO;
import cn.newfeifan.mall.module.pay.dal.dataobject.refund.PayRefundDO;

/**
 * 富有支付订单 Service 接口
 *
 * @author aquan
 */
public interface FuYouPayOrderService {

    void payRefund(PayRefundCreateReqDTO reqDTO, PayOrderDO order, PayRefundDO refund, PayChannelDO channel, PayClient client);

    /**
     * 获得支付订单
     *
     * @param payOrderExtensionDO 支付扩展订单
     * @param payOrderDO 支付订单
     */
    PayOrderDO getPayOrderByStatus(PayOrderExtensionDO payOrderExtensionDO, PayOrderDO payOrderDO);
}
